Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

# Class AddressType3Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_11.AddressType3Choice

public class AddressType3Choice extends Object

Java class for AddressType3Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddressType3Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Cd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}AddressType2Code"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}GenericIdentification30"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AddressType2Code`
`cd`
`protected GenericIdentification30`
`prtry`

## Constructor Summary

Constructors
Constructor
Description
`AddressType3Choice()`

## Method Summary

Modifier and Type
Method
Description
`AddressType2Code`
`getCd()`
Gets the value of the cd property.
`GenericIdentification30`
`getPrtry()`
Gets the value of the prtry property.
`void`
`setCd(AddressType2Code value)`
Sets the value of the cd property.
`void`
`setPrtry(GenericIdentification30 value)`
Sets the value of the prtry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cd

protected AddressType2Code cd

### prtry

protected GenericIdentification30 prtry

## Constructor Details

### AddressType3Choice

public AddressType3Choice()

## Method Details

### getCd

public AddressType2Code getCd()
Gets the value of the cd property.

Returns:
  possible object is `AddressType2Code`

### setCd

public void setCd(AddressType2Code value)
Sets the value of the cd property.

Parameters:
  `value` - allowed object is `AddressType2Code`

### getPrtry

public GenericIdentification30 getPrtry()
Gets the value of the prtry property.

Returns:
  possible object is `GenericIdentification30`

### setPrtry

public void setPrtry(GenericIdentification30 value)
Sets the value of the prtry property.

Parameters:
  `value` - allowed object is `GenericIdentification30`